complexType "ContactInformation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | telephone*, email*, address?
</...>

Content Model Elements (3):

  address, email, telephone

All Direct / Indirect Based Elements (3):

  contactInfo (defined in Party complexType), contactInfo (in businessUnit), | contactInfo (in person)

Known Usage Locations

- As direct type of elements (3):

  contactInfo (defined in Party complexType), contactInfo (in businessUnit), | contactInfo (in person)

Annotation
A type that represents how to contact an individual or organization.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ContactInformation"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="telephone" type="TelephoneNumber"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="email" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="address" type="Address"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
address

  Type: | Address, complex content

  A postal or street address.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="address" type="Address"/>

email

  Type: | xsd:normalizedString, predefined, simple content

  An address on an electronic mail or messaging sysem .
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="email" type="xsd:normalizedString"/>

telephone

  Type: | TelephoneNumber, complex content

  A telephonic contact.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="telephone" type="TelephoneNumber"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.